package eu.midnightdust.yaytris.util;

import java.awt.*;

/*
    Colors based on the [Catppuccin Mocha](https://github.com/catppuccin/catppuccin) color palette
 */
public enum CatppuccinColor {
    CRUST(0x11111b), MANTLE(0x181825), BASE(0x1e1e2e), SURFACE0(0x313244);

    final Color color;
    CatppuccinColor(int rgb) {
        this.color = new Color(rgb);
    }

    public Color getColor() {
        return color;
    }
}
